curl --request POST \
--url https://api.example.com/api/v0/medical/batch_inquiries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"type": "BENEFITS",
"desired_completion_date": "03-19-2024",
"patient_name": "Alex Martin",
"dob": "01-31-2020",
"member_id": "123456789",
"tax_id": "123456789",
"group_id": "123456",
"insurance_in_network": true,
"npi": "1234567890",
"billing_npi": "1234567890",
"rendering_npi": "1234567890",
"external_id": "<string>",
"practice_billing_address": "123 Main St, New York, NY 10001",
"diagnosis_codes": [
"F41.1",
"F42.23"
],
"claims_date_of_service": "01-31-2020",
"claim_number": "1234567890",
"additional_info": "The patient is on a Medicare plan and we need to know their secondary insurance benefits.",
"call_script_id": null,
"insurance": "United Healthcare",
"benefits_query": [
"PULMONARY_REHAB_COVERAGE"
],
"benefits_codes": [
"99395"
],
"benefits_form_name": "",
"is_specialist": true,
"place_of_service": "doctors office",
"billed_amount": 100,
"insurance_payor_id": "60054",
"insurance_phone_number": "<string>"
}
]
'import requests
url = "https://api.example.com/api/v0/medical/batch_inquiries"
payload = [
{
"type": "BENEFITS",
"desired_completion_date": "03-19-2024",
"patient_name": "Alex Martin",
"dob": "01-31-2020",
"member_id": "123456789",
"tax_id": "123456789",
"group_id": "123456",
"insurance_in_network": True,
"npi": "1234567890",
"billing_npi": "1234567890",
"rendering_npi": "1234567890",
"external_id": "<string>",
"practice_billing_address": "123 Main St, New York, NY 10001",
"diagnosis_codes": ["F41.1", "F42.23"],
"claims_date_of_service": "01-31-2020",
"claim_number": "1234567890",
"additional_info": "The patient is on a Medicare plan and we need to know their secondary insurance benefits.",
"call_script_id": None,
"insurance": "United Healthcare",
"benefits_query": ["PULMONARY_REHAB_COVERAGE"],
"benefits_codes": ["99395"],
"benefits_form_name": "",
"is_specialist": True,
"place_of_service": "doctors office",
"billed_amount": 100,
"insurance_payor_id": "60054",
"insurance_phone_number": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
type: 'BENEFITS',
desired_completion_date: '03-19-2024',
patient_name: 'Alex Martin',
dob: '01-31-2020',
member_id: '123456789',
tax_id: '123456789',
group_id: '123456',
insurance_in_network: true,
npi: '1234567890',
billing_npi: '1234567890',
rendering_npi: '1234567890',
external_id: '<string>',
practice_billing_address: '123 Main St, New York, NY 10001',
diagnosis_codes: ['F41.1', 'F42.23'],
claims_date_of_service: '01-31-2020',
claim_number: '1234567890',
additional_info: 'The patient is on a Medicare plan and we need to know their secondary insurance benefits.',
call_script_id: null,
insurance: 'United Healthcare',
benefits_query: ['PULMONARY_REHAB_COVERAGE'],
benefits_codes: ['99395'],
benefits_form_name: '',
is_specialist: true,
place_of_service: 'doctors office',
billed_amount: 100,
insurance_payor_id: '60054',
insurance_phone_number: '<string>'
}
])
};
fetch('https://api.example.com/api/v0/medical/batch_inquiries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/medical/batch_inquiries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'type' => 'BENEFITS',
'desired_completion_date' => '03-19-2024',
'patient_name' => 'Alex Martin',
'dob' => '01-31-2020',
'member_id' => '123456789',
'tax_id' => '123456789',
'group_id' => '123456',
'insurance_in_network' => true,
'npi' => '1234567890',
'billing_npi' => '1234567890',
'rendering_npi' => '1234567890',
'external_id' => '<string>',
'practice_billing_address' => '123 Main St, New York, NY 10001',
'diagnosis_codes' => [
'F41.1',
'F42.23'
],
'claims_date_of_service' => '01-31-2020',
'claim_number' => '1234567890',
'additional_info' => 'The patient is on a Medicare plan and we need to know their secondary insurance benefits.',
'call_script_id' => null,
'insurance' => 'United Healthcare',
'benefits_query' => [
'PULMONARY_REHAB_COVERAGE'
],
'benefits_codes' => [
'99395'
],
'benefits_form_name' => '',
'is_specialist' => true,
'place_of_service' => 'doctors office',
'billed_amount' => 100,
'insurance_payor_id' => '60054',
'insurance_phone_number' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/medical/batch_inquiries"
payload := strings.NewReader("[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v0/medical/batch_inquiries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/medical/batch_inquiries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"success": true,
"inquiry_id": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Medical Inquiries
curl --request POST \
--url https://api.example.com/api/v0/medical/batch_inquiries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"type": "BENEFITS",
"desired_completion_date": "03-19-2024",
"patient_name": "Alex Martin",
"dob": "01-31-2020",
"member_id": "123456789",
"tax_id": "123456789",
"group_id": "123456",
"insurance_in_network": true,
"npi": "1234567890",
"billing_npi": "1234567890",
"rendering_npi": "1234567890",
"external_id": "<string>",
"practice_billing_address": "123 Main St, New York, NY 10001",
"diagnosis_codes": [
"F41.1",
"F42.23"
],
"claims_date_of_service": "01-31-2020",
"claim_number": "1234567890",
"additional_info": "The patient is on a Medicare plan and we need to know their secondary insurance benefits.",
"call_script_id": null,
"insurance": "United Healthcare",
"benefits_query": [
"PULMONARY_REHAB_COVERAGE"
],
"benefits_codes": [
"99395"
],
"benefits_form_name": "",
"is_specialist": true,
"place_of_service": "doctors office",
"billed_amount": 100,
"insurance_payor_id": "60054",
"insurance_phone_number": "<string>"
}
]
'import requests
url = "https://api.example.com/api/v0/medical/batch_inquiries"
payload = [
{
"type": "BENEFITS",
"desired_completion_date": "03-19-2024",
"patient_name": "Alex Martin",
"dob": "01-31-2020",
"member_id": "123456789",
"tax_id": "123456789",
"group_id": "123456",
"insurance_in_network": True,
"npi": "1234567890",
"billing_npi": "1234567890",
"rendering_npi": "1234567890",
"external_id": "<string>",
"practice_billing_address": "123 Main St, New York, NY 10001",
"diagnosis_codes": ["F41.1", "F42.23"],
"claims_date_of_service": "01-31-2020",
"claim_number": "1234567890",
"additional_info": "The patient is on a Medicare plan and we need to know their secondary insurance benefits.",
"call_script_id": None,
"insurance": "United Healthcare",
"benefits_query": ["PULMONARY_REHAB_COVERAGE"],
"benefits_codes": ["99395"],
"benefits_form_name": "",
"is_specialist": True,
"place_of_service": "doctors office",
"billed_amount": 100,
"insurance_payor_id": "60054",
"insurance_phone_number": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
type: 'BENEFITS',
desired_completion_date: '03-19-2024',
patient_name: 'Alex Martin',
dob: '01-31-2020',
member_id: '123456789',
tax_id: '123456789',
group_id: '123456',
insurance_in_network: true,
npi: '1234567890',
billing_npi: '1234567890',
rendering_npi: '1234567890',
external_id: '<string>',
practice_billing_address: '123 Main St, New York, NY 10001',
diagnosis_codes: ['F41.1', 'F42.23'],
claims_date_of_service: '01-31-2020',
claim_number: '1234567890',
additional_info: 'The patient is on a Medicare plan and we need to know their secondary insurance benefits.',
call_script_id: null,
insurance: 'United Healthcare',
benefits_query: ['PULMONARY_REHAB_COVERAGE'],
benefits_codes: ['99395'],
benefits_form_name: '',
is_specialist: true,
place_of_service: 'doctors office',
billed_amount: 100,
insurance_payor_id: '60054',
insurance_phone_number: '<string>'
}
])
};
fetch('https://api.example.com/api/v0/medical/batch_inquiries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/medical/batch_inquiries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'type' => 'BENEFITS',
'desired_completion_date' => '03-19-2024',
'patient_name' => 'Alex Martin',
'dob' => '01-31-2020',
'member_id' => '123456789',
'tax_id' => '123456789',
'group_id' => '123456',
'insurance_in_network' => true,
'npi' => '1234567890',
'billing_npi' => '1234567890',
'rendering_npi' => '1234567890',
'external_id' => '<string>',
'practice_billing_address' => '123 Main St, New York, NY 10001',
'diagnosis_codes' => [
'F41.1',
'F42.23'
],
'claims_date_of_service' => '01-31-2020',
'claim_number' => '1234567890',
'additional_info' => 'The patient is on a Medicare plan and we need to know their secondary insurance benefits.',
'call_script_id' => null,
'insurance' => 'United Healthcare',
'benefits_query' => [
'PULMONARY_REHAB_COVERAGE'
],
'benefits_codes' => [
'99395'
],
'benefits_form_name' => '',
'is_specialist' => true,
'place_of_service' => 'doctors office',
'billed_amount' => 100,
'insurance_payor_id' => '60054',
'insurance_phone_number' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/medical/batch_inquiries"
payload := strings.NewReader("[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v0/medical/batch_inquiries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/medical/batch_inquiries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"type\": \"BENEFITS\",\n \"desired_completion_date\": \"03-19-2024\",\n \"patient_name\": \"Alex Martin\",\n \"dob\": \"01-31-2020\",\n \"member_id\": \"123456789\",\n \"tax_id\": \"123456789\",\n \"group_id\": \"123456\",\n \"insurance_in_network\": true,\n \"npi\": \"1234567890\",\n \"billing_npi\": \"1234567890\",\n \"rendering_npi\": \"1234567890\",\n \"external_id\": \"<string>\",\n \"practice_billing_address\": \"123 Main St, New York, NY 10001\",\n \"diagnosis_codes\": [\n \"F41.1\",\n \"F42.23\"\n ],\n \"claims_date_of_service\": \"01-31-2020\",\n \"claim_number\": \"1234567890\",\n \"additional_info\": \"The patient is on a Medicare plan and we need to know their secondary insurance benefits.\",\n \"call_script_id\": null,\n \"insurance\": \"United Healthcare\",\n \"benefits_query\": [\n \"PULMONARY_REHAB_COVERAGE\"\n ],\n \"benefits_codes\": [\n \"99395\"\n ],\n \"benefits_form_name\": \"\",\n \"is_specialist\": true,\n \"place_of_service\": \"doctors office\",\n \"billed_amount\": 100,\n \"insurance_payor_id\": \"60054\",\n \"insurance_phone_number\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"success": true,
"inquiry_id": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
Any additional information about the inquiry that is not covered by the other fields. This can be used to pass in any additional information for the request. Please check with the Health Harbor team before using this field as it may not be incorporated into the inquiry unless we are already aware of it.
"The patient is on a Medicare plan and we need to know their secondary insurance benefits."
Optional ID of a call script belonging to your team. Use for eligibility/benefits inquiries to control which questions are asked. You can find call script IDs on the Accounts page in the dashboard. When provided, it must be a script your team created. For eligibility search, either benefits queries or this field may satisfy the requirement—see Health Harbor documentation.
null
The specific set of benefits to query. These are customized for each customer. Contact alan@healthharbor.co for details.
An enumeration.
DEDUCTIBLES_AND_MAXIMUMS, PLAN_INFO, NETWORK_STATUS, CODE_LOOKUP_PRIOR_AUTH, CODE_LOOKUP_BENEFITS, PULMONARY_REHAB_COVERAGE, PRIOR_AUTH_PHYSICAL_THERAPY, WEIGHT_MANAGEMENT, HAILIE, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PHYSICAL_THERAPY, NEURO_PSYCH, TRIAL, UNKNOWN ["PULMONARY_REHAB_COVERAGE"]
The name of a custom form for your providers. Contact alan@healthharbor.co for details.
""
Where the service will be performed. This is typically one of a few places: the doctors office or telehealth See this page for the full list: https://www.cms.gov/medicare/coding-billing/place-of-service-codes/code-sets
"doctors office"
"telehealth"